OmniOS 151026 stable

Discussion in 'Solaris, Nexenta, OpenIndiana, and napp-it' started by gea, May 8, 2018.

  1. gea

    gea Well-Known Member

    Joined:
    Dec 31, 2010
    Messages:
    2,288
    Likes Received:
    758
    OmniOS 151026 stable (may.07.2018) is out

    Release note: omniosorg/omnios-build
    Download: Index of /media/r151026/

    Main improvements:

    - Protection against the Meltdown Intel CPU vulnerability announced earlier this year
    - Experimental support for bhyve - a fast, lightweight and modern hypervisor
    - Sparse-branded zones, clocking in under 4MB per zone
    - An improved Installer which is dramatically faster making the OmniOS installation procedure
    one of the fastest in the industry. The new installer also provides many more options for
    customising the installed system.
    - A new lightweight default MTA (Dragonfly Mail Agent)
    - Fault management improvements for SSD disks

    ZFS features
    - Improved support for ZFS pool recovery (import good data from a damaged pool)
    - The new zfs remove of toplevel vdevs
    - zfs checkpoint features (poolwide checkpoint to make even a fs destroy/ vdev add/remove undoable)
    - Support for raidz2 and raidz3 boot disks

    Hardware
    - support of the new BroadCom tri-mode HBAs

    Update, see 3.)
    napp-it // webbased ZFS NAS/SAN appliance for OmniOS, OpenIndiana, Solaris and Linux : Manual

    napp-it supports OmniOS 151026 up from 18.01 (apr.02)
    napp-it // webbased ZFS NAS/SAN appliance for OmniOS, OpenIndiana, Solaris and Linux Changelog
     
    #1
    Last edited: May 8, 2018
    socra likes this.
  2. audio catalyst

    Joined:
    Jan 4, 2014
    Messages:
    88
    Likes Received:
    12
    hi gea,

    after updating to .26 from .24 and update Napp-it to the latest dev :

    Auto-Submitted: auto-generated
    X-Mailer: cron (SunOS 5.11)
    X-Cron-User: root
    X-Cron-Host: PSD01
    X-Cron-Job-Name: perl /var/web-gui/data/napp-it/zfsos/_lib/scripts/auto.pl
    X-Cron-Job-Type: cron
    MIME-Version: 1.0
    Content-Type: text/plain
    Content-Length: 101
    Date: Wed, 09 May 2018 13:54:01 +0200
    Message-Id: <5af2e159.43a93.2f675292@PSD01>
    From: <root@PSD01>

    Tty.c: loadable library and perl binaries are mismatched (got handshake key 9e00080, needed 9e40080)

    anything i can do to fix this ?
     
    #2
  3. gea

    gea Well-Known Member

    Joined:
    Dec 31, 2010
    Messages:
    2,288
    Likes Received:
    758
    Napp-it includes precompiled binaries for the Perl Expect module. The correct version is loaded after a napp-it login (should be initiated after an update).

    Napp-it up from newest 18.01 free includes binaries for OmniOS 151026. So the question is if you have done anything that modifies the default Perl environment. This is the usual reason to break napp-it in some functions/menus like Users where Expect with the Tty.io binary is required.

    On my test machines I have not seen a problem after an update from 024 to 026 and 18.06dev (may.01)
     
    #3
  4. asche

    asche New Member

    Joined:
    Oct 6, 2017
    Messages:
    15
    Likes Received:
    3
    I had the same issue. Running an update of napp-it solved it for me -- went from 18.01free (2 Feb) to 18.01free (2 April). Note there is no change to the main version number!
     
    #4
  5. gea

    gea Well-Known Member

    Joined:
    Dec 31, 2010
    Messages:
    2,288
    Likes Received:
    758
    Yes, the April edition is prepared for OmniOS 151026, the first 18.01 is not as OmniOS is newer. (The 18.01 free does not include newest features but I add critical fixes like the support for newest OmniOS, OpenIndiana and Solaris)
     
    #5
  6. audio catalyst

    Joined:
    Jan 4, 2014
    Messages:
    88
    Likes Received:
    12
    Running :
    running version : 18.06 dev May.01.2018
    running on : SunOS PSD01 5.11 omnios-r151026-673c59f55d i86pc i386 i86pc OmniOS v11 r151026

    haven't done anything with perl, as this is a storage box only
     
    #6
  7. gea

    gea Well-Known Member

    Joined:
    Dec 31, 2010
    Messages:
    2,288
    Likes Received:
    758
    Can you try to download 18.06dev a second time (in case update order is relevant, first OmniOS, then napp-it). Login after the update and check menu Users (if this works, auto.pl that controls jobs will do as well)
     
    #7
  8. audio catalyst

    Joined:
    Jan 4, 2014
    Messages:
    88
    Likes Received:
    12
    Hi gea,

    that runs absolutely fine after re-appling the latest dev.
    What is still happening, or i just noticed just now, initial log in time takes about 120 second after correctly logging in
     
    #8
  9. RyC

    RyC Active Member

    Joined:
    Oct 17, 2013
    Messages:
    355
    Likes Received:
    83
    Where is your source for Solaris/omnios open-vm-tools for your nappit-in-one image? I can only seem to find instructions for installing the VMware/ESXi provided tools. There was a tools update that came with 6.5U2 and it's nagging me to upgrade
     
    #9
  10. gea

    gea Well-Known Member

    Joined:
    Dec 31, 2010
    Messages:
    2,288
    Likes Received:
    758
    After an update all napp-it jobs are killed and restarted. During login, permissions are resetted and some Perl modules (Expect etc) are updated.

    If rpool is not on a very slow disk this should not last more than 5-10s.
     
    #10
  11. audio catalyst

    Joined:
    Jan 4, 2014
    Messages:
    88
    Likes Received:
    12
    it's running on a mirrored ssd pool (intel 3700), so shouldn't be slow at all , is there some logging i can check anywhere Gea ?
     
    #11
  12. gea

    gea Well-Known Member

    Joined:
    Dec 31, 2010
    Messages:
    2,288
    Likes Received:
    758
    System relevant events are logged in system > log or > fault log.
     
    #12
  13. nle

    nle Member

    Joined:
    Oct 24, 2012
    Messages:
    185
    Likes Received:
    6
    I just updated a VM also, and the login (more correctly mounting of the ZFS filesystem) takes longer than before.


    Sent from my iPhone using Tapatalk Pro
     
    #13
  14. gea

    gea Well-Known Member

    Joined:
    Dec 31, 2010
    Messages:
    2,288
    Likes Received:
    758
    OmniOS and OpenIndiana:
    Open-vm-tools are in the default repo
    Just do a 'pkg install open-vm-tools'

    Solaris 11.3
    You need to install the vmware tools that you can download from VMware for Solaris

    Solaris 11.4 beta
    not yet supported
     
    #14
  15. socra

    socra Member

    Joined:
    Feb 4, 2011
    Messages:
    76
    Likes Received:
    1
    Hi Gea,
    Currently running OmniOS v11 r151022 appliance on esxi 6.5 with VM-Version 8 and Napp-IT v.17.06

    Would like to:
    - go to the latest omnios update OmniOS 151026 stable (Community Edition)
    - upgrade the vm hardware to version 13 (requirement for spectre/meltdown related issues)
    - upgrade Nappit to 18.x

    Is this the correct upgrade path? :
    1) first upgrade VM hardware version from version 8 -> 13
    2) upgrade Omnios using the steps described here: Upgrading OmniOS (napp-it appliance has no ipkg branded zones?)
    3) upgrade nappit from 17.06 -> 18.x
     
    #15
    Last edited: May 19, 2018
  16. gea

    gea Well-Known Member

    Joined:
    Dec 31, 2010
    Messages:
    2,288
    Likes Received:
    758
    The order is quite uncritical
    you can also check setup and update (chapter) 3 in napp-it // webbased ZFS NAS/SAN appliance for OmniOS, OpenIndiana, Solaris and Linux : Manual

    If you first update OmniOS, some napp-it menus will report an error about a Perl TTy module as OmniOS 151026 require the newest 18.01free/18.03pro or 18.06dev . An update will fix this then.

    btw
    napp-it does not use zones
    napp-it Pro updates > 18.01 require a machine id
    see napp-it // webbased ZFS NAS/SAN appliance for OmniOS, OpenIndiana, Solaris and Linux : Extensions
     
    #16
    socra likes this.
  17. socra

    socra Member

    Joined:
    Feb 4, 2011
    Messages:
    76
    Likes Received:
    1
    Cheers Gea!

    Will do it in this order:
    upgrade vm hardware
    upgrade nappit to 18.x (and get machineid after upgrade) then no errors about perl hopefully :)
    omnios
     
    #17
Similar Threads: OmniOS 151026
Forum Title Date
Solaris, Nexenta, OpenIndiana, and napp-it OmniOS 151026: Locale issues Aug 31, 2018
Solaris, Nexenta, OpenIndiana, and napp-it nss_ad in OmniOSCE r151030? Dec 30, 2019
Solaris, Nexenta, OpenIndiana, and napp-it Why does OmniOS SMB shares appear to require NIS arg in nsswitch.conf ? Dec 30, 2019
Solaris, Nexenta, OpenIndiana, and napp-it intel x540-t2 passthrough to OmniOS 151032 on ESXi 6.7u3 Nov 30, 2019
Solaris, Nexenta, OpenIndiana, and napp-it OmniOS (CE) nvdimm Nov 17, 2019

Share This Page